{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}

{% block pageTitle 'Structures' %}

{% block pageActions %}
    <div class="row">
        <div class="col-6 pull-left">
            {% if isStructureCreator %}
                {{ macros.addButton('structure_add', 'Ajouter une structure', 'Ajouter une structure') }}
            {% endif %}

            {% if is_granted('ROLE_GROUP_ADMIN') and structures|length > 0 %}
                <a href="{{ path('export_csv_users_group', {'id': app.user.group.id}) }}" class="btn btn-outline-primary" title="Exporter les utilisateurs de toute vos structures">
                    <span class="fa fa-download"></span>
                    Exporter les utilisateurs
                </a>
            {% endif %}
        </div>

        <div class="col-6">
            {{ macros.searchForm(formSearch, searchTerm, 'structure_index') }}
        </div>
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped bg-white">
        <thead>
            <tr class="d-flex">
                <th class="col-1"></th>
                <th class="col-3">{{ knp_pagination_sortable(structures, 'Nom', 's.name') }}</th>
                <th class="col-3">{{ knp_pagination_sortable(structures, 'Suffixe', 's.suffix') }}</th>
                <th class="col-3">{{ knp_pagination_sortable(structures, 'Groupe', 'g.name') }}</th>
                <th class="active_column d-none">{{ knp_pagination_sortable(structures, '', 's.isActive') }}</th>
                <th class="col-2">Actions</th>
            </tr>
        </thead>
        <tbody>
            {{ macros.emptyList(structures, "Aucune structure à afficher") }}

            {% for structure in structures %}
                <tr class="d-flex">
                    <td class="col-1">
                        {% set disableAction = "pointer-events: none" %}
                        {% if (structure.isActive) %}
                            {%  set disableAction = "" %}
                        {% endif %}

                        {% if app.user.structure == structure %}
                            <a href="{{ path('security_impersonate_exit') }}" class="btn btn-outline-danger borderless"
                               title="Se déconnecter dans la structure" style="{{ disableAction }}">
                                <span class="fas fa-sign-out-alt"></span>
                            </a>
                        {% else %}
                            <a href="{{ path('security_impersonate', {'id': structure.id}) }}"
                               class="btn btn-outline-primary borderless" title="Se connecter dans la structure"
                               style="{{ disableAction }}">
                                <span class="fas fa-sign-in-alt"></span>
                            </a>
                        {% endif %}
                    </td>
                    <td class="col-3">
                        {{ structure.name }}
                    </td>
                    <td class="col-3">
                        {{ structure.suffix | slice(0,25) }}
                    </td>
                    <td class="col-3">
                        {{ (structure.group ? structure.group.name : "") | slice(0,25) }}
                    </td>
                    <td class="active_column d-none">{{ structure.isActive }}</td>
                    <td class="col-2 actionButton">
                        {{ macros.editButton('structure_edit', structure.id, 'Modifier la structure') }}

                        {% if is_granted('ROLE_SUPERADMIN') %}
                            {{ macros.button_open_modal_secure_delete(
                                structure.id,
                                "Suppression de la structure " ~ structure.name,
                                "structure_delete",
                                "Voulez-vous vraiment supprimer la structure " ~ structure.name ~ " ?
                                Cela supprimera la structure et l'ensemble de ce qui lui est lié.",
                                structures.currentPageNumber,
                                'Supprimer la structure'
                            ) }}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(structures) %}

{% block javascripts %}
    {{ encore_entry_script_tags('passphraseConfirmationBox') }}
{% endblock %}
